### Hierarchy

- Error
  - IOError
    - EOFError

## Index

### Constructors

- constructor

### Properties

- errorID
- message
- name

### Methods

- getStackTrace

## Constructors

### constructor

- new IOError(message?: string): IOError

- Overrides Error.constructor

  - Defined in lib/openfl/errors/IOError.d.ts:7

  #### Parameters

  - ##### Optional message: string

  #### Returns IOError

## Properties

### errorID

errorID: number

Inherited from Error.errorID

- Defined in lib/openfl/errors/Error.d.ts:11

### message

message: string

Inherited from Error.message

- Defined in lib/openfl/errors/Error.d.ts:12

### name

name: string

Inherited from Error.name

- Defined in lib/openfl/errors/Error.d.ts:13

## Methods

### getStackTrace

- getStackTrace(): string

- Inherited from Error.getStackTrace

  - Defined in lib/openfl/errors/Error.d.ts:22

  #### Returns string

Generated using TypeDoc